EDIT - feature request #8317

Omit ex-author if ex-author=author
05/29/2019 05:42 PM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.17

Severity: minor

Description

If and only if ex author = author the ex author is not included into the author teams due to the ICN 46.10.
This is a minor problem but (1) Vaadin and the (2) Portal are involved.

PhycoBank: Navicula cascadensis Sovereign ex Sovereign
correct display according to ICN: Navicula cascadensis Sovereign

Example: Registration Id: http:/phycobank.org/101907

Display in the PhycoBank portal

Geissleria cascadensis (Sovereign ex Sovereign) Stancheva in Notulae Algarum 103: 1. 29.5.2019
Navicula cascadensis Sovereign ex Sovereign 1960

correct
Geissleria cascadensis (Sovereign) Stancheva in Notulae Algarum 103: 1. 29.5.2019
Navicula cascadensis Sovereign 1960

Workaround: FAQ on an publicly visible FAQ page
Correction of the cache in Vaadin?

Associated revisions

Revision {52212 - 07/22/2020 03:13 PM - Andreas Kohlbecker

fix #8317 TaxonNamePopupEditor exAuthor only when = combinationAuthor

Revision 4da12¢37 - 07/23/2020 01:29 PM - Andreas Kohlbecker

ref #8317 TaxonNamePopupEditor exAuthor only when = combinationAuthor - detecting duplicates by nomTitle compare

History

#1 - 06/03/2019 08:04 AM - Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.8

This needs to be fixed the vaadin TaxonNamePopupEditor which sets the ex-authors automatically depending on the nomenclatural reference of the
related basionym.

#2 - 06/03/2019 08:04 AM - Andreas Kohlbecker

- Category changed from cdm-dataportal to cdm-vaadin

#3 - 06/03/2019 08:04 AM - Andreas Kohlbecker
- Priority changed from Priority09 to Priority14

#4 - 07/19/2019 03:07 PM - Andreas Kohlbecker

- Target version changed from Release 5.8 to Release 5.10

#5 - 09/20/2019 05:38 PM - Andreas Kohlbecker

- Target version changed from Release 5.10 to Release 5.11

#6 - 11/04/2019 04:36 PM - Andreas Kohlbecker
http://phycobank.org/101907

- Target version changed from Release 5.11 to Release 5.12

#7 - 01/16/2020 11:52 AM - Andreas Kohlbecker

- Target version changed from Release 5.12 to Release 5.14

#8 - 04/08/2020 03:52 PM - Andreas Miiller

- Target version changed from Release 5.14 to Release 5.15

#9 - 06/23/2020 02:00 PM - Andreas Miiller

- Target version changed from Release 5.15 to Release 5.18

#10 - 07/22/2020 03:13 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|ff522f12a377c61ee737ebfa2f4{5cbc95398200.

#11 - 07/22/2020 03:14 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

Solved and tested.
Please review.

For fixing the wrong data in the production system you may want to edit the affected names in order to manually remove the ex-authors.

#12 - 07/23/2020 12:22 PM - Wolf-Henning Kusber
- File picture298-1.png added

Portal view as of 23 July 2020 (Test and Production). In both portals the validated designation (= invalid name) was newly entered.

There is another issue, to be discussed
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/ff522f12a377c61ee737ebfa2f4f5cbc95398200

Registration Id: http://phycobank.org/101908

Event: new name, validation, new nomenclatural type

“Navicula cascadensis 1 Sovereign in Trans. Amer. Microscop. Soc. 79: 345. 1960
Holotype: United States of America, Oregon, Diamond Lake, boat-landing on south shore, 18 Aug 1950, H. Sovereign
T285, RBE (CAS 205077).

U/ is basionym for Geissleria cascadensis ( - Sovereign) Stancheva in Notulae Algarum 103: 1. 29 May 2019
l./'|:=. validating” Navicula cascadensis Sovereign in Trans. Amer. Microscop. Soc. 77: 118, t. 11, fig. 32, 33. 1958, rlarh‘ Inva L _

\/ 1. Turland, N.J., Wiersema, J.H., Barrie, F.R. & al., International Code of Nomenclature for algae, fungi, and plants (Shenzhen Code)

adopted by the Nineteenth International Botanical Congress Shenzhen, China, July 2017Regnum Vegetabile, 159

published in: Sovereign, H.E., The diatoms of Crater Lake, Oregon (Supplementary Note). in Transactions of the American
Microscopical Society 79: 345, 1960: 345%

o o

#13 - 07/23/2020 01:15 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker
Wolf-Henning Kusber wrote:
Portal view as of 23 July 2020 (Test and Production). In both portals the validated designation (= invalid name) was newly entered.

There is another issue, to be discussed

Thank you for testing!

The check ex-author=author seem not to be working for new names entered in one go.
#14 - 07/23/2020 01:32 PM - Andreas Kohlbecker

- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

The integration server was hung, so the update was not distributed to the test system.

I locally tested the creation of names with validation where the author and ex-author are the same in one go and could not find any problems. To me
this seems to be fully functional.

#15 - 07/23/2020 05:01 PM - Wolf-Henning Kusber
- File picture900-1.png added

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

| checked the update. For new entrys it is fully functionalble.
For already used names there was no automatic update.
Geissleria cascadensis (Sovereign ex Sovereign) Stancheva (see attached screen shot).
| used the following workaround:

Unlock "Geissleria cascadensis”

Open "Geissleria cascadensis"

| found "ex Author" in basionym and deleted the name-> now in Vaadin, the brackets were displayed correctly after saving. The Portal (Test Portal)
view remains uncorrected.

#16 - 08/17/2020 08:22 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Wolf-Henning Kusber wrote:

| checked the update. For new entrys it is fully functionalble.
For already used names there was no automatic update.

Geissleria cascadensis (Sovereign ex Sovereign) Stancheva (see attached screen shot).
| used the following workaround:

Unlock "Geissleria cascadensis”

Open "Geissleria cascadensis”

| found "ex Author" in basionym and deleted the name-> now in Vaadin, the brackets were displayed correctly after saving. The Portal (Test
Portal) view remains uncorrected.

Thank you for testing.
For existing records the data needs to be cleaned manually since there is no automatic fix of existing data implemented.

#17 - 08/19/2020 08:41 PM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.17

Files
picture298-1.png 104 KB 07/23/2020 Wolf-Henning Kusber
picture900-1.png 91.1 KB 07/23/2020 Wolf-Henning Kusber
